* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }
  
  body, html {
    font-family: 'Public Sans';
    font-size: 16px;
    color: var(--slate);
    background-color: var(--mono00);
  }

  @media screen and (max-width: 900px) {
    body, html {
      font-size: 14px;
    }
  }
  
  :root {
    /*Primary*/
    --primary200: #081A59;
    --primary100: #0F2E9B;
    --primary75: #204EF0;
    --primary50: #7894F9;
    --primary25: #B7C7FD;
    --primary00: #DFE6FF;

    /*Mono*/
    --mono175: #282D3A;
    --mono150: #464E63;
    --mono125: #606980;
    --mono100: #969DAE;
    --mono75: #C1C6D0;
    --mono50: #DBDEE7;
    --mono25: #EBEEF6;
    --mono00: #FCFDFF;

    /*Green*/
    --green200: #095213;
    --green100: #0EC929;
    --green75: #13F033;
    --green50: #86F296;
    --green25: #C4F8CB;
    --green00: #E3FDE7;

    /*Yellow*/
    --yellow200: #606609;
    --yellow100: #BAC70F;
    --yellow75: #E1F014;
    --yellow50: #F5FF73;
    --yellow25: #FAFFBC;
    --yellow00: #FDFFDE;

    /*Red*/
    --red200: #700A23;
    --red100: #B8123B;
    --red75: #F23060;
    --red50: #F07795;
    --red25: #FCB2C4;
    --red00: #FFD2DD;

    /*Purple*/
    --purple200: #4D0E71;
    --purple100: #7A11B6;
    --purple75: #A523F0;
    --purple50: #CD77FF;
    --purple25: #E1B2FC;
    --purple00: #F0D6FF;

    /*Umber*/
    --umber200: #883408;
    --umber100: #B8490E;
    --umber75: #F06318;
    --umber50: #F39D6F;
    --umber25: #F6C3A7;
    --umber00: #FFD5BE;

    /*Aqua*/
    --aqua200: #0A9088;
    --aqua100: #08CABE;
    --aqua75: #10F0E2;
    --aqua50: #91F8F1;
    --aqua25: #C0FEFA;
    --aqua00: #DEFFFD;

    
  
  }
  
  h1 {
    font-size: 3.4em;
  }
  
  h2 {
    font-size: 2.8em;
  }
  
  h3 {
    font-size: 2.2em;
  }
  
  h4 {
    font-size: 1.6em;
  }
  
  h5 {
    font-size: 1em;
  }

  li {
    line-height: 1.8em;
  }

  .contentHold>* {
    margin-bottom: 1em;
  }

  table {
      border: 1px solid var(--mono50);
      border-collapse: collapse;
      line-height: 1.8em;
  }

  th {
    border: 1px solid var(--mono50);
    padding: 1em; 
    text-align: left;
  }

td {
    border: 1px solid var(--mono50);
    padding: 1em;
  }

  hr {
      border-top: 1px solid var(--mono25);
  }

  button {
      background-color: var(--primary75);
      color: var(--mono00);
      border: none;
      padding: 8px 24px 8px 24px;
      border-radius: 4px;
      font-size: 1em;
      cursor: pointer;
  }

  .button-wide {
    width: 100%;
  }

  button:hover {
    background-color: var(--primary100);
  }
  
  p {
    font-size: 1em;
    color: var(--steel);
    font-weight: 200;
    line-height: 1.8em;
  }
  
  code {
    font-family: 'Space Mono';
    color: var(--mono50);
    background-color: var(--mono175);
    font-size: 0.8em;
    padding: 0.1em 0.5em 0.1em 0.5em;
    border-radius: 0.2em;
    line-height: 1.8em;
  }
  
  .baskerville {
    font-family: 'Libre Baskerville';
    font-size: 0.9em;
  }
  
  .baskervilleHeadline {
    font-family: 'Libre Baskerville';
    font-size: 2em;
  }
  
  kbd {
    font-family: 'Space Mono';
    color: var(--primary);
    background-color: var(--firmament);
    font-size: 0.8em;
    padding: 0.1em 0.5em 0.1em 0.5em;
    border-radius: 0.2em;
  }
  
  mark {
    color: var(--purple200);
    background-color: var(--purple00);
    padding: 0.1em 0.5em 0.1em 0.5em;
    border-radius: 0.2em;
    font-weight: 200;
    font-size: 0.9em;
  }
  
  a {
    color: var(--primary75);
    text-decoration: none;
    font-weight: 200;
  }
  
  .formSmall {
    text-transform: uppercase;
    font-size: 0.75em;
  }
  
  .errorSmall {
    text-transform: uppercase;
    font-size: 0.75em;
    color: var(--red75);
    margin-top: 0.5em;
  }

  

  /* layout */
  .column {
    margin-bottom: 1em;
  }

  .column>* {
    margin-top: 1em;
  }

  .grid12 {
    display: grid;
    width: 100%;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  }
  
  

  .linkButtonHold {
    display: flex;
    animation-name: nudgeout;
    animation-duration: 2s;
    animation-fill-mode: both;
  }

  .linkButtonHold:hover > p {
    animation-name: nudgein;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-fill-mode: both;
    padding-right: 0em;
  }

  @keyframes nudgein {
    0% {
      padding-right: 0em;
    }
    50% {
      padding-right: 1em;
    }
    100% {
      padding-right: 0em;
    }
  }

  @keyframes nudgeout {
    0% {
      padding-right: 0em;
    }
    50% {
      padding-right: 1em;
    }
    100% {
      padding-right: 0em;
    }
  }

  .highlight {
      padding: 1em;
      background-color: var(--mono175);
      border-radius: 8px;
  }

  /* Background */ .chroma { color: var(--mono25); background-color: var(--mono175)}
/* Other */ .chroma .x {  }
/* Error */ .chroma .err { color: var(--red25); background-color: var(--mono175)}
/* LineTableTD */ .chroma .lntd { vertical-align: top; padding: 0; margin: 0; border: 0; }
/* LineTable */ .chroma .lntable { border-spacing: 0; padding: 0; margin: 0; border: 0; width: auto; overflow: auto; display: block; }
/* LineHighlight */ .chroma .hl { display: block; width: 100%;background-color: #ffffcc }
/* LineNumbersTable */ .chroma .lnt { margin-right: 0.4em; padding: 0 0.4em 0 0.4em;color: #7f7f7f }
/* LineNumbers */ .chroma .ln { margin-right: 0.4em; padding: 0 0.4em 0 0.4em;color: #7f7f7f }
/* Keyword */ .chroma .k { color: }
/* KeywordConstant */ .chroma .kc { color: var(--purple25) }
/* KeywordDeclaration */ .chroma .kd { color: var(--purple25)}
/* KeywordNamespace */ .chroma .kn { color: var(--umber50)}
/* KeywordPseudo */ .chroma .kp { color: var(--purple25) }
/* KeywordReserved */ .chroma .kr { color: var(--purple25) }
/* KeywordType */ .chroma .kt { color: var(--purple25) }
/* Name */ .chroma .n {  }
/* NameAttribute */ .chroma .na { color: var(--green50) }
/* NameBuiltin */ .chroma .nb {  }
/* NameBuiltinPseudo */ .chroma .bp {  }
/* NameClass */ .chroma .nc { color: var(--green50) }
/* NameConstant */ .chroma .no { color: var(--purple25) }
/* NameDecorator */ .chroma .nd { color: var(--green50)  }
/* NameEntity */ .chroma .ni {  }
/* NameException */ .chroma .ne { color: var(--green50)  }
/* NameFunction */ .chroma .nf { color: var(--green50)  }
/* NameFunctionMagic */ .chroma .fm {  }
/* NameLabel */ .chroma .nl {  }
/* NameNamespace */ .chroma .nn {  }
/* NameOther */ .chroma .nx { color: var(--green50)  }
/* NameProperty */ .chroma .py {  }
/* NameTag */ .chroma .nt { color: var(--umber50) }
/* NameVariable */ .chroma .nv {  }
/* NameVariableClass */ .chroma .vc {  }
/* NameVariableGlobal */ .chroma .vg {  }
/* NameVariableInstance */ .chroma .vi {  }
/* NameVariableMagic */ .chroma .vm {  }
/* Literal */ .chroma .l { color: #ae81ff }
/* LiteralDate */ .chroma .ld { color: var(--purple25) }
/* LiteralString */ .chroma .s { color: var(--purple25) }
/* LiteralStringAffix */ .chroma .sa { color: var(--purple25) }
/* LiteralStringBacktick */ .chroma .sb { color: var(--purple25) }
/* LiteralStringChar */ .chroma .sc { color: var(--purple25) }
/* LiteralStringDelimiter */ .chroma .dl { color: var(--purple25) }
/* LiteralStringDoc */ .chroma .sd { color: var(--purple25) }
/* LiteralStringDouble */ .chroma .s2 { color: var(--purple25) }
/* LiteralStringEscape */ .chroma .se { color: #ae81ff }
/* LiteralStringHeredoc */ .chroma .sh { color: var(--purple25)}
/* LiteralStringInterpol */ .chroma .si { color: var(--purple25) }
/* LiteralStringOther */ .chroma .sx { color: var(--purple25)}
/* LiteralStringRegex */ .chroma .sr { color: var(--purple25) }
/* LiteralStringSingle */ .chroma .s1 { color: var(--purple25) }
/* LiteralStringSymbol */ .chroma .ss { color: var(--purple25)}
/* LiteralNumber */ .chroma .m { color: #ae81ff }
/* LiteralNumberBin */ .chroma .mb { color: #ae81ff }
/* LiteralNumberFloat */ .chroma .mf { color: #ae81ff }
/* LiteralNumberHex */ .chroma .mh { color: #ae81ff }
/* LiteralNumberInteger */ .chroma .mi { color: #ae81ff }
/* LiteralNumberIntegerLong */ .chroma .il { color: #ae81ff }
/* LiteralNumberOct */ .chroma .mo { color: #ae81ff }
/* Operator */ .chroma .o { color: var(--umber50) }
/* OperatorWord */ .chroma .ow { color: var(--umber50) }
/* Punctuation */ .chroma .p {  }
/* Comment */ .chroma .c { color: #75715e }
/* CommentHashbang */ .chroma .ch { color: #75715e }
/* CommentMultiline */ .chroma .cm { color: #75715e }
/* CommentSingle */ .chroma .c1 { color: #75715e }
/* CommentSpecial */ .chroma .cs { color: #75715e }
/* CommentPreproc */ .chroma .cp { color: #75715e }
/* CommentPreprocFile */ .chroma .cpf { color: #75715e }
/* Generic */ .chroma .g {  }
/* GenericDeleted */ .chroma .gd { color: var(--umber50) }
/* GenericEmph */ .chroma .ge { font-style: italic }
/* GenericError */ .chroma .gr {  }
/* GenericHeading */ .chroma .gh {  }
/* GenericInserted */ .chroma .gi { color: var(--green50)  }
/* GenericOutput */ .chroma .go {  }
/* GenericPrompt */ .chroma .gp {  }
/* GenericStrong */ .chroma .gs { font-weight: bold }
/* GenericSubheading */ .chroma .gu { color: #75715e }
/* GenericTraceback */ .chroma .gt {  }
/* GenericUnderline */ .chroma .gl {  }
/* TextWhitespace */ .chroma .w {  }

.sidebar {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100vh;
    padding: 1em;
    padding-top: 54px;
    width: 370px;
    border-right: 1px solid var(--mono50);
}    

/*navbar*/

.navhold {
    position:fixed;
    width: 100%;
    background-color: var(--mono00);
    z-index: 5;
    padding-left: 1em;
    padding-right: 1em;
}

.navbar {
    
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid var(--mono50);
    padding-top: 1em;
    padding-bottom: 1em;
    padding-left: 1em;
    padding-right: 1em;
}




.navli {
    display: flex;
    list-style-type: none;
}

.navli > li {
    margin-left: 2em;
    margin-top: 0;
}

.navlink {
    color: var(--mono175);
}

/**/

.contentflexhold {
    display: grid;
    grid-template-columns: 370px 650px;
}

.stickyhold {
    margin: 0; 
    position: -webkit-sticky;
    position: sticky;
    top: 0px;
    height: 100vh;
    
}

.subsection {
    padding: 1em;
    border: 1px solid var(--mono50);
    border-radius: 8px;
    text-align: left;
    cursor: pointer;
}

.subsection>a:nth-child(2) {
  padding-bottom: 50px;
}

.subsection:hover {
  background: var(--mono00);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  border: 1px solid var(--primary75);
}

.subsectionhold {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1em;
    margin-top: 1em;
}

.contentpagehold {
    margin-top: 84px;
    margin-left: 1em;
}

.contentpagehold > * {
    margin-bottom: 1rem;
}

/*Landing */

.landingcenter {
    max-width: 800px;
    text-align: center;
    padding-top: 172px;
    margin-bottom: 144px;
    margin: auto;
}

.sectiongrid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1em;
    padding: 1em;
    max-width: 800px;
    align-items: stretch;
    margin-top: 4em;
}

.bottomctahold {
    text-align: center;
}

.bottomctahold>* { 
    margin-top: 1em;
}

.sidelist {
    color: var(--primary75);
    margin-left: 0em;
   list-style-type: none;
}


.single-content {
    color: var(--mono150);
}

.single-content > * {
    margin-top: 1em;
}

.single-content > h1, h2, h3, h4, h5 {
    color: var(--mono175);
    
}

.single-content > ol, ul {
    color: var(--mono150);
    margin-left: 2em;
}

.single-content > * > li {
    margin-top: 1em;
}

.single-content > * > * >  li {
    margin-top: 1em;
}

.single-content > p > img {
  width: 100%;
}

.footerul {
    display: flex;
    list-style-type: none;
    margin-left: 0;
}

.footerul > li {
    margin-right: 2em;
}

.subli {
    margin-left: 0em;
    list-style-type: none;
}


.footerline {
    margin-top: 1em;
    padding-top: 4em;
    padding-bottom: 8em;
    border-top: 1px solid var(--mono50);
    background: var(--mono25);
}

.sidebartitlehold {
  margin-top: 1.5em;
  padding-bottom: 1.5em;
  border-bottom: 1px solid var(--mono50);

}

.sidespacer {
  height: 1em;
}

.bodytext {
  text-align: left;
}

.bodytext>* {
  margin-bottom: 1rem;
}

.linkli {
  padding-top: 1em;
  padding-bottom: 1em;
  padding-left: 1em;
  border-radius: 2px;
  line-height: 1em;
  color: var(--mono125);
}

.linkli:hover {
  background: var(--primary00);
  color: var(--primary75);
}

.breadcrumbs {
  display: flex;
  padding: 1em;
  list-style: none;
}

.breadcrumbs>li:nth-child(2)::before{
  content: " →";
  font-size: 0.8em;
  color: var(--mono125)
}


.breadcrumbs>li>a {
  font-size: 0.8em;
  text-transform: uppercase;
  color: var(--mono125)
}

.chapterhold {
  display: flex;
  border-bottom: 1px solid var(--mono50);
  border-top: 1px solid var(--mono50);

  justify-content: space-between;
}

.chapterhold>div {
  padding: 1em;
}

.homepage-content {
  max-width: 600px;
  margin: auto;
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 4em;
  justify-items: center;
}

.sub-hold {
  display: flex;
  flex-wrap: wrap;
}

.sub-hold > * {
  margin-right: 1em;
  margin-top: 1em;
}

.featuredsection {
  border: 1px solid var(--mono50);
  border-radius: 8px;
  padding: 1em;
}

.featuredsection:hover {
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.logo-hold {
  display: flex;
  align-items: center;
  margin: auto;
  width: 140px;
  margin-bottom: 1em;
}

.dlflex {
  display: flex;
}

.logo-hold > * {
 margin-right: 1em;
}

.footer-flex {
  display: flex;
  justify-content: space-between;
  padding: 1em;
}

.socialhold {
  display: flex;
}

.logoflex {
  display: flex;
  align-items: center;
}

.logoflex>p {
  margin: 1em;
}

.socialhold > * {
  margin-left: 1em;
}

.line-footer {
  border-bottom: 1px solid var(--mono50);
  margin-top: 2em;
}

.label {
  background: var(--purple75);
  color: var(--mono00);
  padding: .2em .8em;
  border-radius: .2em;
  font-size: .65em;
  text-transform: uppercase;
  text-decoration: none;
  margin-right: 1.6em;
  border: none;
}

@media screen and (max-width: 700px) {
  .sectiongrid {
    grid-template-columns: 1fr;
  }
}